# Standards: 0.11
---

# 13.1 Ensure password fields are not empty

- name: 13.1 - Identify any accounts without passwords
  shell: "cat /etc/shadow | awk -F: '($2 == \"\" ) { print $1 }'"
  register: accounts_13_1
  always_run: yes
  changed_when: False
  tags:
    - level-1
    - section-13
    - "13.1"
    - scored

- name: 13.1 - Lock any accounts without passwords
  command: "passwd -l {{ item }}"
  with_items: "{{ accounts_13_1.stdout_lines }}"
  when: accounts_13_1.stdout_lines is defined
  tags:
    - level-1
    - section-13
    - "13.1"
    - scored